Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes
Lucene::UTF8DecoderStream Class Reference

`#include <UTF8Stream.h>`

Inheritance diagram for Lucene::UTF8DecoderStream:

## Public Member Functions

| UTF8DecoderStream (ReaderPtr reader)
virtual | ~UTF8DecoderStream ()
virtual String | getClassName ()
boost::shared_ptr < UTF8DecoderStream > | shared_from_this ()
Public Member Functions inherited from Lucene::UTF8Decoder
| UTF8Decoder (const uint8_t *utf8Begin, const uint8_t *utf8End)
virtual | ~UTF8Decoder ()
boost::shared_ptr< UTF8Decoder > | shared_from_this ()
int32_t | decode (wchar_t *unicode, int32_t length)
int32_t | utf8to16 (wchar_t *unicode, int32_t length)
int32_t | utf8to32 (wchar_t *unicode, int32_t length)
Public Member Functions inherited from Lucene::UTF8Base
virtual | ~UTF8Base ()
boost::shared_ptr< UTF8Base > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::UTF8Decoder
static String | _getClassName ()
Static Public Member Functions inherited from Lucene::UTF8Base
static String | _getClassName ()

## Protected Member Functions

virtual uint32_t | readNext ()
Protected Member Functions inherited from Lucene::UTF8Decoder
int32_t | sequenceLength (uint32_t cp)
bool | getSequence (uint32_t &cp, int32_t length)
bool | isValidNext (uint32_t &cp)
Protected Member Functions inherited from Lucene::UTF8Base
uint8_t | mask8 (uint32_t b)
uint16_t | mask16 (uint32_t c)
bool | isTrail (uint32_t b)
bool | isSurrogate (uint32_t cp)
bool | isLeadSurrogate (uint32_t cp)
bool | isTrailSurrogate (uint32_t cp)
bool | isValidCodePoint (uint32_t cp)
bool | isOverlongSequence (uint32_t cp, int32_t length)
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Protected Attributes

ReaderPtr | reader
Protected Attributes inherited from Lucene::UTF8Decoder
const uint8_t * | utf8Begin
const uint8_t * | utf8End

## Additional Inherited Members

Static Public Attributes inherited from Lucene::UTF8Base
static const uint16_t | LEAD_SURROGATE_MIN
static const uint16_t | LEAD_SURROGATE_MAX
static const uint16_t | TRAIL_SURROGATE_MIN
static const uint16_t | TRAIL_SURROGATE_MAX
static const uint16_t | LEAD_OFFSET
static const uint32_t | SURROGATE_OFFSET
static const uint32_t | CODE_POINT_MAX
static const wchar_t | UNICODE_REPLACEMENT_CHAR
static const wchar_t | UNICODE_TERMINATOR

## Constructor & Destructor Documentation

Lucene::UTF8DecoderStream::UTF8DecoderStream | ( | ReaderPtr | reader) |  |

virtual Lucene::UTF8DecoderStream::~UTF8DecoderStream | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::UTF8DecoderStream::_getClassName | ( | ) |  |

inline static

virtual String Lucene::UTF8DecoderStream::getClassName | ( | ) |  |

inline virtual

Reimplemented from Lucene::UTF8Decoder.

virtual uint32_t Lucene::UTF8DecoderStream::readNext | ( | ) |  |

protected virtual

Reimplemented from Lucene::UTF8Decoder.

boost::shared_ptr< UTF8DecoderStream > Lucene::UTF8DecoderStream::shared_from_this | ( | ) |  |

inline

## Field Documentation

ReaderPtr Lucene::UTF8DecoderStream::reader

protected

The documentation for this class was generated from the following file:

- UTF8Stream.h

clucene.sourceforge.net